Bug 1009359 - jBPM5 integration steps in README.txt is not accurate
jBPM5 integration steps in README.txt is not accurate
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Build Process (Show other bugs)
5.3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Julian Coleman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 05:36 EDT by Toshiya Kobayashi
Modified: 2013-10-04 14:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshiya Kobayashi 2013-09-18 05:36:32 EDT
Description of problem:

In soa-p-5.3.1.GA-jbpm5.zip:/soa-jbpm5/README.txt,

=====
5.  Follow the directions in the JBPM User Guide for importing from a Service Repository.    When doing a Configure->Import jBPM Services, use the soa-jbpm5/repository directory as your base repository directory.
=====

But as far as I test, Designer doesn't accept file path (file:///xxx) as Service Repository. So I hosted soa-jbpm5/repository in JBoss (placed the directory in ROOT.war and added index.html) and accessed via http://localhost:8080/repository/ .

If Designer should accept file path, I will file another BZ. If users have to host the repository, README.txt should include appropriate guidance.
Comment 1 Toshiya Kobayashi 2013-09-18 05:40:15 EDT
In addition, after hosting repository with the above approach, the repository offers
"ESBAction" and "JBossESB" but installing "ESBAction" throws an Exception (java.lang.RuntimeException: Unable to read
http://localhost:8080/repository/ESBAction/ESBAction.wid). Once I installed "JBossESB", both "ESBAction" and "JBossESB"
nodes became available.

I don't file another BZ for this issue for now because I don't know if my approach was correct.
Comment 3 Toshiya Kobayashi 2013-09-18 22:42:03 EDT
Ahh, thank you, Tom.

I was trying to import from the Service Repository with Web Designer. Now I confirmed that I can import from the Service Repository with JBDS 5.0.0.

Also our official BRMS docs is missing the section about importing from a Service Repository with JBDS. I filed a BZ for the docs.

https://bugzilla.redhat.com/show_bug.cgi?id=1009729

Now... may I request to adjust the instruction so that customers will not stumble like me?

From:
=====
5.  Follow the directions in the JBPM User Guide for importing from a Service Repository.    When doing a Configure->Import jBPM Services, use the soa-jbpm5/repository directory as your base repository directory.
=====

To:
=====
5.  Import domain-specific services from a Service Repository with JBDS. Right-click your project and select Configure->Import jBPM Services. Then use the soa-jbpm5/repository directory as your base repository directory.
=====

I think users may also want to import from the Service Repositoy with Web Designer. I'll cover it with a KCS article.

Thanks!
Toshiya
Comment 4 tcunning 2013-09-19 14:09:21 EDT
I don't think this file resides within JBossESB - I think this is in the soa-p project and someone in productization is going to have to make the change.

File location: 
soa-p/src/main/resources/soa-p/jbpm5/README.txt

Note You need to log in before you can comment on or make changes to this bug.